Bug 433747 - Missing Python module: acutil
Missing Python module: acutil
Product: freeIPA
Classification: Community
Component: ipa-python (Show other bugs)
powerpc Linux
low Severity low
: ---
: ---
Assigned To: Rob Crittenden
Chandrasekar Kannan
Depends On:
Blocks: 429034
  Show dependency treegraph
Reported: 2008-02-21 00:44 EST by W. Michael Petullo
Modified: 2015-01-04 18:30 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-09-06 11:39:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description W. Michael Petullo 2008-02-21 00:44:31 EST
Description of problem:
I installed ipa-server-0.99-9.fc9.ppc on a Fedora 8 system using yum. The
ipa-server-install script fails because the installation of ipa-server did not
pull in the Python acutil module as a dependency.

Version-Release number of selected component (if applicable):

How reproducible:
Every time

Steps to Reproduce:
1. Use yum to install ipa-server and its dependencies.
2. Run ipa-server-install.
Actual results:
Install script will fail because one of the utilities used requires the
dnsclient module which requires the acutil module. The acutil module does not exist.

Expected results:
The ipa-python package should require the acutil module.

Additional info:
Comment 1 W. Michael Petullo 2008-02-22 08:56:35 EST
The acutil module is provided by the authconfig package, so this package should
be required by ipa-python.
Comment 2 Fedora Update System 2008-02-22 17:11:38 EST
ipa-0.99-10.fc7 has been submitted as an update for Fedora 7
Comment 3 Fedora Update System 2008-02-22 17:12:07 EST
ipa-0.99-10.fc8 has been submitted as an update for Fedora 8
Comment 4 Fedora Update System 2008-02-25 19:23:14 EST
ipa-0.99-10.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ipa'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-1931

Note You need to log in before you can comment on or make changes to this bug.